<?php

namespace App\Modelos;

use Core\Database;

class CmpnotasArticulos extends Database
{
    protected $table = 'app_compras_notas_articulos';
    protected $id = 'cmpnart_id';

    public function articulos($id_factura)
    {
        return $this->consultar("SELECT * FROM app_compras_notas_articulos WHERE cmpnart_cmpnid=$id_factura")->all();
    }

    public function eliminarArticulos($id_factura)
    {
        return $this->consultar("DELETE FROM app_compras_notas_articulos WHERE cmpnart_cmpnid=$id_factura")->run();
    }

    public function eliminarArticulo($id_factura, $id_producto)
    {
        return $this->consultar("DELETE FROM app_compras_notas_articulos WHERE cmpnart_cmpnid=$id_factura AND cmpnart_proid=$id_producto")->run();
    }

    public function obtenerDetalleProductoFacturado($id_factura, $id_producto, $id_alamcen)
    {
        return $this->consultar("SELECT * FROM app_compras_notas_articulos WHERE cmpnart_cmpnid=$id_factura AND (cmpnart_proid=$id_producto AND cmpnart_almid=$id_alamcen)")->row();
    }
}
